geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject svn commit: r896963 - /geronimo/sandbox/gawor/daily_build_scripts/tck.sh
Date Thu, 07 Jan 2010 18:53:42 GMT
Author: gawor
Date: Thu Jan  7 18:53:42 2010
New Revision: 896963

URL: http://svn.apache.org/viewvc?rev=896963&view=rev
Log:
test if svn checkout was successful

Modified:
    geronimo/sandbox/gawor/daily_build_scripts/tck.sh

Modified: geronimo/sandbox/gawor/daily_build_scripts/tck.sh
URL: http://svn.apache.org/viewvc/geronimo/sandbox/gawor/daily_build_scripts/tck.sh?rev=896963&r1=896962&r2=896963&view=diff
==============================================================================
--- geronimo/sandbox/gawor/daily_build_scripts/tck.sh (original)
+++ geronimo/sandbox/gawor/daily_build_scripts/tck.sh Thu Jan  7 18:53:42 2010
@@ -52,6 +52,15 @@
 rm -rf tck
 
 svn co https://svn.apache.org/repos/tck/geronimo-tck/porting/$TCK_BRANCH tck
+if [ $? -ne 0 ]
+then
+  echo "SVN checkout failed."
+  subject="[BUILD] ${BRANCH}: SVN checkout failed"
+  echo "SVN checkout failed." > tck.log
+
+  tck_send_mail "$subject" "geronimo-tck@geronimo.apache.org"
+  exit
+fi
 
 cd tck
 tckrev=`svn info | grep Revision | awk -F: '{print $2}'`



Mime
View raw message